MetricSetControllerRemoveStateGroupOnMetricSet Method (Guid, Guid, NullableGuid)

DELETE /MetricSet/RemoveStateGroup/{id} Deletes the specified state group from a metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpDeleteAttribute]
[ActionNameAttribute("RemoveStateGroup")]
public IActionResult RemoveStateGroupOnMetricSet(
	Guid id,
	Guid stateGroupId,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set.
stateGroupId
Type: SystemGuid
The ID of the state group to delete.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also